#!/bin/sh
#
# script to backup the carrier database nightly.  it will do cumulative 
# backup every day but Wed. when it will do a complete.
#

ORACLE_HOME=/usr/oracle
export ORACLE_HOME
ORACLE_TERM=xsun
export ORACLE_TERM
ORA_NLS=$ORACLE_HOME/ocommon/nls/admin/data
export ORA_NLS
ORACLE_SID=mindy    
export ORACLE_SID
ORACLE_DOC=/usr/oracle/docs
export ORACLE_DOC
LD_LIBRARY_PATH=$ORACLE_HOME/lib 
export LD_LIBRARY_PATH
TNS_ADMIN=/usr/oracle/network/admin
export TNS_ADMIN
MENU5PATH=$ORACLE_HOME/forms30/admin/resource
export MENU5PATH
ORATERMPATH=$ORACLE_HOME/forms30/admin/resource
export ORATERMPATH

# username and password
UNAME="system"
PWORD="manwitch"

# date stuff...
DAY=`date +%a`
DATESTRING=`date +%y%m%d`

#now we shutdown the database and listeners.
#and restart the database in restricted mode for the backup.

echo "shutting down the listener..."
/usr/oracle/bin/lsnrctl stop


echo "and the web listeners..."
/usr/oracle/bin/wlctl2 stop admin
/usr/oracle/bin/wlctl2 stop tomork
/usr/oracle/bin/wlctl2 stop mindy1

echo "and the database then startup restrict..."
/usr/oracle/bin/svrmgrl <<!
connect internal
shutdown immediate
startup restrict
!

#now we look at the day to set up the strings for inctype
#and filename.

if [ "Wed" = $DAY ];

	then
    TYPE="complete"
    FILESTRING="complete.$DATESTRING.dmp";

else

    TYPE="cumulative";
    FILESTRING="cumulative.$DATESTRING.dmp"
fi

#now let's go do the export.
#first we go to the right directory

chdir /usr/oracle/dbexports

#now let's get rid of yesterday's dump.

rm *.dmp

#and we finally get to do the export.

`/usr/oracle/bin/exp $UNAME/$PWORD FILE=$FILESTRING INCTYPE=$TYPE`

echo "export finished."

#now let's go back up to the home directory

chdir /usr/oracle/scripts

#now we start everything up over again.


echo "starting database..."
/usr/oracle/bin/svrmgrl <<!
connect internal
shutdown
startup
exit;
!

echo "and the listener..."
/usr/oracle/bin/lsnrctl start 


echo "and the web listener, too."
/usr/oracle/bin/wlctl2 start admin
/usr/oracle/bin/wlctl2 start tomork
/usr/oracle/bin/wlctl2 start mindy1

echo "backup completed, check for errors."


