#! /bin/csh

setenv ORACLE_HOME      /usr/oracle
setenv ORACLE_TERM      xsun
setenv ORA_NLS          $ORACLE_HOME/ocommon/nls/admin/data
setenv ORACLE_SID       mindy    
setenv ORACLE_DOC      /usr/oracle/docs
setenv LD_LIBRARY_PATH $ORACLE_HOME/lib 
setenv TNS_ADMIN /usr/oracle/network/admin
setenv MENU5PATH $ORACLE_HOME/forms30/admin/resource
setenv ORATERMPATH $ORACLE_HOME/forms30/admin/resource

if ( $1 == "start" ) then

echo "starting database..."
/usr/oracle/bin/svrmgrl <<!
connect internal
startup
exit;
!

echo "and the listener..."
/usr/oracle/bin/lsnrctl start 


echo "and the web listener, too."
/usr/oracle/bin/wlctl2 start admin
/usr/oracle/bin/wlctl2 start tomork
/usr/oracle/bin/wlctl2 start mindy1

else if ( $1 == "stop") then

echo "shutting down the listener..."
/usr/oracle/bin/lsnrctl stop


echo "and the web listeners..."
/usr/oracle/bin/wlctl2 stop admin
/usr/oracle/bin/wlctl2 stop tomork
/usr/oracle/bin/wlctl2 stop mindy1

echo "and the database..."
/usr/oracle/bin/svrmgrl <<!
connect internal
shutdown immediate
exit;
!

else if ( $1 == "bounce") then

echo "bouncing the database..."
echo "first we shutdown the listener..."
/usr/oracle/bin/lsnrctl stop

echo "then the web listeners..."
/usr/oracle/bin/wlctl2 stop admin
/usr/oracle/bin/wlctl2 stop tomork
/usr/oracle/bin/wlctl2 stop mindy1


echo "now we shutdown and restart the database..."
/usr/oracle/bin/svrmgrl <<!
connect internal
shutdown abort
startup restrict
shutdown
startup
exit;
!

echo "now we start the listener again..."
/usr/oracle/bin/lsnrctl start 

echo "and the web listener, too."
/usr/oracle/bin/wlctl2 start admin
/usr/oracle/bin/wlctl2 start tomork
/usr/oracle/bin/wlctl2 start mindy1

else

echo "You have to tell me to stop, start or bounce. "
exit

endif

echo "database function completed."


