/*
ALTER TABLE commercial_products
ADD (
electronic_literature     number(5),
electronic_catalog        number(5),
cad_template              number(5),
engineering_software      number(5)
);

*/

spool eleclit.rpt;

UPDATE commercial_products
   SET electronic_literature = 0,
       electronic_catalog = 0,
       cad_template = 0,
       engineering_software = 0;

Spool download_links_30oct96.rpt;
SELECT count(*) FROM download_objects
WHERE upper(extension) = 'PDF';

SELECT count(*) from download_objects
WHERE upper(downloadfiletype) = 'E-CAT';

SELECT count(*) from download_objects
WHERE upper(downloadfiletype) = 'CAD TEMPLATE';

SELECT count(*) from download_objects
WHERE upper(downloadfiletype) = 'E20-II';

CREATE VIEW download_links AS
SELECT a.downloadmodel, a.description, 
       a.downloadfiletype, a.filename, a.extension,
       a.fileformat, a.securitylevel, a.disksize,
       a.downloadable, a.descriptionid, a.licenseid,
       a.installid, a.obsolete, b.model
FROM   download_objects a,
       download_model_association b
WHERE  a.downloadmodel = b.downloadmodel
  AND  a.downloadable =1;


UPDATE commercial_products
   SET electronic_literature = 1
 WHERE model IN
       (SELECT model from download_links
         WHERE extension = 'PDF'
         AND obsolete IS NULL);

UPDATE commercial_products
   SET electronic_catalog =1
 WHERE model IN
       (SELECT model from download_links
         WHERE upper(downloadfiletype) = 'E-CAT'
         AND obsolete IS NULL);

UPDATE commercial_products
   SET cad_template = 1
 WHERE model IN
       (SELECT model from download_links
         WHERE upper(downloadfiletype) LIKE 'CAD%TEMPLATE'
         AND obsolete IS NULL);

UPDATE commercial_products
   SET engineering_software = 1
 WHERE model IN
       (SELECT model from download_links
         WHERE upper(downloadfiletype) LIKE 'E20-II'
         AND obsolete IS NULL);

SELECT model, electronic_literature
  FROM commercial_products
 WHERE model IN
       (SELECT model from download_links
         WHERE extension = 'PDF'
         AND obsolete IS NULL);

SELECT model, electronic_catalog
  FROM commercial_products
 WHERE model IN
       (SELECT model from download_links
         WHERE upper(downloadfiletype) = 'E-CAT'
         AND obsolete IS NULL);

SELECT model, cad_template
  FROM commercial_products
 WHERE model IN
       (SELECT model from download_links
         WHERE upper(downloadfiletype) LIKE 'CAD%TEMPLATE'
         AND obsolete IS NULL);

SELECT model, engineering_software
  FROM commercial_products
 WHERE model IN
       (SELECT model from download_links
         WHERE upper(downloadfiletype) LIKE 'E20-II'
         AND obsolete IS NULL);

spool off;
